export declare class EclFooterEu {
    el: HTMLElement;
    styleClass: string;
    theme: string;
    logoAlt: string;
    logoTitle: string;
    logoLink: string;
    logoAriaLabel: string;
    logoLangCode: string;
    siteName: string;
    siteNameLink: string;
    variant: string;
    description: string;
    descriptionName: string;
    coOwnerTitle: string;
    coOwnerLinks: string;
    getClass(): string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): any;
}
